clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::InMemoryToolResults Class Reference

Stores the key-value results in memory. More...

`#include "clang/Tooling/Execution.h"`

Inheritance diagram for clang::tooling::InMemoryToolResults:
[legend]
Collaboration diagram for clang::tooling::InMemoryToolResults:
[legend]

## Public Member Functions
| InMemoryToolResults ()
void | addResult (StringRef Key, StringRef Value) override
std::vector< std::pair< llvm::StringRef, llvm::StringRef > > | AllKVResults () override
void | forEachResult (llvm::function_ref< void(StringRef Key, StringRef Value)> Callback) override
Public Member Functions inherited from clang::tooling::ToolResults
virtual | ~ToolResults ()=default

## Detailed Description

Stores the key-value results in memory.

It maintains the lifetime of the result. Clang tools using this class are expected to generate a small set of different results, or a large set of duplicated results.

Definition at line 59 of file Execution.h.

## Constructor & Destructor Documentation

## ◆ InMemoryToolResults()

clang::tooling::InMemoryToolResults::InMemoryToolResults | ( |  | ) |
| inline

Definition at line 61 of file Execution.h.

## Member Function Documentation

## ◆ addResult()

void clang::tooling::InMemoryToolResults::addResult | ( | StringRef | Key,
|  | StringRef | Value
| ) |  |
| override virtual

Implements clang::tooling::ToolResults.

Definition at line 22 of file Execution.cpp.

## ◆ AllKVResults()

std::vector< std::pair< llvm::StringRef, llvm::StringRef > > clang::tooling::InMemoryToolResults::AllKVResults | ( |  | ) |
| override virtual

Implements clang::tooling::ToolResults.

Definition at line 27 of file Execution.cpp.

## ◆ forEachResult()

void clang::tooling::InMemoryToolResults::forEachResult | ( | llvm::function_ref< void(StringRef Key, StringRef Value)> | Callback | ) |
| override virtual

Implements clang::tooling::ToolResults.

Definition at line 31 of file Execution.cpp.

The documentation for this class was generated from the following files:

- include/clang/Tooling/Execution.h
- lib/Tooling/Execution.cpp